Главная

The Change Making Problem - Fewest Coins To Make Change Dynamic Programming




Video quality The size Download

Информация о The Change Making Problem - Fewest Coins To Make Change Dynamic Programming


Название :  The Change Making Problem - Fewest Coins To Make Change Dynamic Programming
Продолжительность :   23.12
Дата публикации :  
Просмотров :   208 rb


Кадры The Change Making Problem - Fewest Coins To Make Change Dynamic Programming





Описание The Change Making Problem - Fewest Coins To Make Change Dynamic Programming



Коментарии The Change Making Problem - Fewest Coins To Make Change Dynamic Programming



Back To Back SWE
Table of Contents:brbrMe Talking (Uninteresting) 0:00 - 0:19brThe Problem Introduction 0:19 - 1:48brTop Down Recursion Walkthrough 1:48 - 7:43brBottom Up Iterative Walkthrough 7:43 - 20:18brTime Complexity 20:18 - 21:42brSpace Complexity 21:42 - 22:19brWrap Up 22:19 - 22:52brbrThe code for this problem is in the description
Comment from : Back To Back SWE


Abhishek Moramganti
Bro you're a god at teaching
Comment from : Abhishek Moramganti


AliN
best video, TQ
Comment from : AliN


Ayodeji Marquis
Best explanation on this problem!
Comment from : Ayodeji Marquis


eggfishy
My professor posted a 5 minute lecture on this topic So relieved to find something more detailed
Comment from : eggfishy


Fernando Rodriguez
you're very passionate about this I appreciate your enthusiasm!
Comment from : Fernando Rodriguez


Codo a Codo Inicial
How about if the number we are trying to reach is too high? I guess the processing would be too much to get to the result Is there a more efficient way if the user have to provide the final amount to reach, and that amount could be a million dollars for example Going through all the posibilities would be a lot for the cpu
Comment from : Codo a Codo Inicial


Dipper
حبيتك
Comment from : Dipper


Jaydeep Vasoya
Explained well!!!!!!!!
Comment from : Jaydeep Vasoya


Sebastian Casanova
Thank you so much
Comment from : Sebastian Casanova


Octo
Thank you for iterate, it is much easier to understand
Comment from : Octo


Urussah Elaheebocus
Keep up the good work No words to this awesome work!! We need more teachers like u 🙏
Comment from : Urussah Elaheebocus


Isaac Green
Huge huge helpbrbrThanks!
Comment from : Isaac Green


Sỹ Dũng Lê
Thanks for your video I searched many tutorial but i can't understand this problem until watch this video
Comment from : Sỹ Dũng Lê


edonis2787
This was hands down the best explanation I’ve seen on this problem
Comment from : edonis2787


Ankit Singh
👍
Comment from : Ankit Singh


sovi
my god thank you for actually going through the whole thing i didn't actually grasp the bottom up approach until you hit 3 or 4 most teachers would've stopped at 2 and said "you get the pattern"brbrgreat teacher
Comment from : sovi


angelo0dreams
I usually don't comment on YT videos, but must say very good job on the explanation!
Comment from : angelo0dreams


Alie Eldeen Ahmed
Great explanation👏👏
Comment from : Alie Eldeen Ahmed


Tony Nguyen
I was confused at first when looking at the array but going through the problem helped a lot Thanks for the great explanation
Comment from : Tony Nguyen


Zhiqian Zhang
OMG this is the best video I've ever watched for dp!! So clear and detailed!! Thank you bro!!
Comment from : Zhiqian Zhang


yamaan93
This man is his own debugger
Comment from : yamaan93


Pranav Nyavanandi
Hmmm what if we also want the combination of coins that can be used??
Comment from : Pranav Nyavanandi


Study account
Also, we can further improve the solution by sorting the input array and breaking whenever the coin value is greater than i
Comment from : Study account


Study account
I was having a mid life crisis while trying to solve this problem I have my amazon test soon Thanks man can't thank you enough
Comment from : Study account


Tautvydas Lukaševičius
Is it hard to implement limited supply of coins into this solution?
Comment from : Tautvydas Lukaševičius


Faris Abuali
Thank you so much!brGreat explanation!!brConcise and informative ❤❤
Comment from : Faris Abuali


FitWithShamas
hahaha
Comment from : FitWithShamas


rafamusic2020 check
Heavily edited video, why do you have these weird pauses?
Comment from : rafamusic2020 check


陳冠廷
very clear, thank you very much!
Comment from : 陳冠廷


Rajat Pal
best explanation i got for this question from this videothankyou very much keep it up
Comment from : Rajat Pal


The We Guy
Wowit finally clicked!!! THANK YOU!
Comment from : The We Guy


Stas the Sauce
Legend
Comment from : Stas the Sauce


Jose Renteria
How would u convert a minimum coin problem into a maximum coin problem? I have heard its am unbounded knapsack but having trouble implementing it
Comment from : Jose Renteria


Kunal Dubey
Amazing solution! Paused the video in the middle and implemented it; got AC
Comment from : Kunal Dubey


Jerry Chiu
Thanks for the explanation!! May I know is it good to use recursive algorithm in programming?
Comment from : Jerry Chiu


Scarlett Z
People like me really need his repeating Hope you all the best Algorithm blesses you
Comment from : Scarlett Z


Asmit Basu
What was that @1:26 lol
Comment from : Asmit Basu


__dark_channel__
Subscribed This is better than any teaching I've had from any of the video lectures at university Love your exhaustive approach The repetition really helps get the idea through!
Comment from : __dark_channel__


Liam The Great
Thank you so much bro I was having trouble with this but you explained it very well I understand it now
Comment from : Liam The Great


Sahil Anand
Thanks
Comment from : Sahil Anand


Simona Nikolova
you helped me understand dynamic programming thank you
Comment from : Simona Nikolova


Shivani Gupta
Dil se thank u brother this video helped me a lottttbrLove from India
Comment from : Shivani Gupta


dpadofficial
Bro ur saving my life
Comment from : dpadofficial


Pranaw Bajracharya
Shit bro I'm only a minute in and I've never been so motivated Your voice is energetic
Comment from : Pranaw Bajracharya


Jean Lu
Thanks for the explanation man, really helped me understand this problem
Comment from : Jean Lu


Eric Dai
Man, your explanation is so good! Thanks for making this video!
Comment from : Eric Dai


chahalpawanpreet
This boy goat
Comment from : chahalpawanpreet


Ken Haley
Great video; I only have one question: Once you've determined the minium number of coins, how do you go back and list WHICH coins were used in the optimal solution??
Comment from : Ken Haley


Karthik
What a legend!
Comment from : Karthik


Rajesh Kumar
Great video again But what's the point in trolling Tushar in between Unless you guys are friends, there's absolutely no reason to do that
Comment from : Rajesh Kumar


Pablo Rojas
Great video!
Comment from : Pablo Rojas


darth vàdar
So many words Jesus Christ
Comment from : darth vàdar


Claire Boitet
Thank you so much, you're the best, you made it so easy to understand while many others use unnecessarily confusing denominations Now everything makes sense!
Comment from : Claire Boitet


J Evans
you're amazing! best explanation I've found
Comment from : J Evans


Allan Magalhães
Fantastic, dude You made me understand the code even without writing a single line Thank you
Comment from : Allan Magalhães


winterfox x
wait why did he cut to the Indian guy saying dynamic programming? Is it supposed to be funny bc he has an accent or?
Comment from : winterfox x


Ahmed Shamaa
You are amazing bro thank you ❤❤❤❤❤
Comment from : Ahmed Shamaa


Geraldo Macias
Does this strategy apply for lowest rolls in chutes and ladders?
Comment from : Geraldo Macias


hipsterhp
this was amazingly helpful, thank you!
Comment from : hipsterhp


Shrey Patel
Yer a wizard :)
Comment from : Shrey Patel


Syed
Really nice!! Thanks for you effort to make us understand brIf there were a programming for video editing , you could have used many of your speeches recursively 😂😂
Comment from : Syed


Danish Fayaz
Easily the best DP explanation on youtube Bless you brother
Comment from : Danish Fayaz


extremelyhappysimmer
that salt emoji was great lol i love it
Comment from : extremelyhappysimmer


Mayank Malik
Why wouldn't you use BFS if you want to find the shortest depth from the top You don't need to go to the extreme end of any leg of DFS when you could use BFS and tranverse level by level and reach the most optimal ( fewest) ans
Comment from : Mayank Malik


Random Guy
Super helpful! I'm a newbie to Competitive Programming and DP has been a difficult algorithm type for me to learn This video helped me understand DP better and I like the bottom-up approach explanation a lot! Keep doing these videos, they're interesting! 🦾
Comment from : Random Guy


Eduardo Uriegas
Aaah perrillo traes la de paypal
Comment from : Eduardo Uriegas


Kamran Jafri
I dont usually comment but gotta say THANK YOU on this one Was struggling to comprehend the mechanics of this algo Your illustration made it crystal clear :)
Comment from : Kamran Jafri


zivash nivash
Thank you sir! Your explanations are incredible!
Comment from : zivash nivash


John Pepino
Any reason you opted to use an array vs table? Trying to compare this to the “knapsack 0/1” and the “unique ways to make change” problems which leverage a table Seems the subproblems are somewhat similar I guess one reason is to not store more subproblems than we have to for space complexity?
Comment from : John Pepino


SystemForge
Awesome
Comment from : SystemForge


Michael Fulton
Congrats on the shirt xD
Comment from : Michael Fulton


X-X
super brother great work
Comment from : X-X


Việt Trương Quốc
your accent is very clear
Comment from : Việt Trương Quốc


pavan gopal
I am confused about the base cases In this problem you say "no matter what coins you choose, the answer is 0" But in unique ways to make change problem, you say "no matter what coins you choose, the answer is 1" Please explain the distinction between these two scenarios
Comment from : pavan gopal


Ashish Rawat
he is great
Comment from : Ashish Rawat


Dat Le
This guy is so good at explaining problems I bet kids can understand this too
Comment from : Dat Le


kunal chandra
You are the Bestttt!!!
Comment from : kunal chandra


Tenshii
Hands down best video on the subject Thank you
Comment from : Tenshii


Oqant0
Dude this is legit the best video i have found by far on DP
Comment from : Oqant0


Chandran V V
the best !
Comment from : Chandran V V


Lizzie Daffofil
Omg :P Love the part you have included tushar roy lol
Comment from : Lizzie Daffofil


Soheil Sepahyar
Thanks for the nice explanation, I think it could be better if you could follow the matrix version of it since we can track of all changes about the Amount and the Currencies
Comment from : Soheil Sepahyar


Pedro Leyria
you deserve my professor's salary
Comment from : Pedro Leyria


theWrongCode
This video is definitely best one for problems based on coin change How to convert 2D DP in 1D DP is amazing
Comment from : theWrongCode


Huy Hoàng Lê
excellent
Comment from : Huy Hoàng Lê


warner cooler
Awesome explanation! Thank you so much!
Comment from : warner cooler


Lee Jsom
I think maybe just go 04 or 5 in details is enough instead of 012
Comment from : Lee Jsom



Похожие на The Change Making Problem - Fewest Coins To Make Change Dynamic Programming видео

Knapsack Problem using Dynamic Programming Part I | Dynamic Programming | Lec 65 | DAA Knapsack Problem using Dynamic Programming Part I | Dynamic Programming | Lec 65 | DAA
РѕС‚ : CSE Guru
Download Full Episodes | The Most Watched videos of all time
Coin Change Combination Problem Dynamic Programming Explained | Coin Change Minimum Number of Coins Coin Change Combination Problem Dynamic Programming Explained | Coin Change Minimum Number of Coins
РѕС‚ : Pepcoding
Download Full Episodes | The Most Watched videos of all time
dynamic amoled 2x | dynamic amoled 2x vs dynamic amoled | dynamic amoled 2x 120hz hdr10+ dynamic amoled 2x | dynamic amoled 2x vs dynamic amoled | dynamic amoled 2x 120hz hdr10+
РѕС‚ : Tech Duggar
Download Full Episodes | The Most Watched videos of all time
Total Unique Ways To Make Change - Dynamic Programming ( Total Unique Ways To Make Change - Dynamic Programming ("Coin Change 2" on LeetCode)
РѕС‚ : Back To Back SWE
Download Full Episodes | The Most Watched videos of all time
Coin Change Problem - Dynamic Programming | C++ Placement Course | Lecture 35.4 Coin Change Problem - Dynamic Programming | C++ Placement Course | Lecture 35.4
РѕС‚ : Apna College
Download Full Episodes | The Most Watched videos of all time
Dynamic Programming ?| Coin Change Problem Leetcode | C++ | Java | DSA-One Course #86 Dynamic Programming ?| Coin Change Problem Leetcode | C++ | Java | DSA-One Course #86
РѕС‚ : Anuj Bhaiya
Download Full Episodes | The Most Watched videos of all time
Find total number of ways|Coin change problem|Dynamic Programming|Bangla Tutorial Find total number of ways|Coin change problem|Dynamic Programming|Bangla Tutorial
РѕС‚ : Farhan Hossan
Download Full Episodes | The Most Watched videos of all time
222 - The Coin Change Problem | Dynamic Programming | Hackerrank Solution | Python 222 - The Coin Change Problem | Dynamic Programming | Hackerrank Solution | Python
РѕС‚ : Hackers Realm
Download Full Episodes | The Most Watched videos of all time
Coin Change Permutations Problem Dynamic Programming | Total Number of Ways to Get Amount Coin Change Permutations Problem Dynamic Programming | Total Number of Ways to Get Amount
РѕС‚ : Pepcoding
Download Full Episodes | The Most Watched videos of all time
Coin Change Problem | Dynamic Programming | Leetcode #322 | Unbounded Knapsack Coin Change Problem | Dynamic Programming | Leetcode #322 | Unbounded Knapsack
РѕС‚ : Techdose
Download Full Episodes | The Most Watched videos of all time